aboutsummaryrefslogtreecommitdiff
path: root/bin/app-foreach-app
diff options
context:
space:
mode:
authorTrygve Laugstøl <trygvis@inamo.no>2013-10-27 15:07:31 +0100
committerTrygve Laugstøl <trygvis@inamo.no>2013-10-27 18:31:38 +0100
commit38d7ffca0b591694c17509d20c8bf55606e60536 (patch)
tree64420db3c4f4f7e93a087b12df3d3cead874b025 /bin/app-foreach-app
parentebf5da2c7932f05f23fcb8dccd74023c306a3aa3 (diff)
downloadapp.sh-38d7ffca0b591694c17509d20c8bf55606e60536.tar.gz
app.sh-38d7ffca0b591694c17509d20c8bf55606e60536.tar.bz2
app.sh-38d7ffca0b591694c17509d20c8bf55606e60536.tar.xz
app.sh-38d7ffca0b591694c17509d20c8bf55606e60536.zip
app-ls-apps:
o New command to list all applications installed under a directory. app-foreach-app: o New command to execute another command for each app installed under the current directory. app-init/app-install-file: o Adding -C and -c to prepand and append config files around the appliation's build-in configuration files. app-cat-conf: o Use $APP_HOME as the 'appliation installation directory' if set. app-operator-pid: o Support PID files created by the launcher.
Diffstat (limited to 'bin/app-foreach-app')
-rwxr-xr-xbin/app-foreach-app23
1 files changed, 23 insertions, 0 deletions
diff --git a/bin/app-foreach-app b/bin/app-foreach-app
new file mode 100755
index 0000000..5b5b108
--- /dev/null
+++ b/bin/app-foreach-app
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+set -e
+set -u
+
+APPSH_HOME=$(cd $(dirname "$0")/.. && pwd)
+
+. $APPSH_HOME/lib/common
+# HEADER END
+
+usage_text() {
+ echo "usage: $usage_app [args]"
+}
+
+IFS=" "
+app-ls-apps | while read app
+do
+ unset IFS
+ (cd $app; "$@") | while read line
+ do
+ echo "$app: $line"
+ done
+done